Debian Bug report logs - #643926
live-build: building wheezy rescue fails installing packages only in squeeze

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Michael Milligan <mmilligan@astro.umn.edu>

Date: Fri, 30 Sep 2011 21:00:01 UTC

Severity: normal

Found in version 3.0~a33-1

Fixed in version live-build/3.0~a35-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643926; Package live-build. (Fri, 30 Sep 2011 21:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Milligan <mmilligan@astro.umn.edu>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Sep 2011 21:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Milligan <mmilligan@astro.umn.edu>
To: submit@bugs.debian.org
Subject: live-build: building wheezy rescue fails installing packages only in squeeze
Date: Fri, 30 Sep 2011 15:56:59 -0500
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a33-1
Severity: normal

sudo lb build fails when building a rescue image for wheezy because tct and
ettercap only exist in squeeze.

To resolve, I removed:
tct from /usr/share/live/build/package-lists/debian-forensics
ettercap from /usr/share/live/build/package-lists/rescue

These should probably be moved to a "#if DISTRIBUTION squeeze" block.

(Note that I have yet to get live-build to work as such, but in this case it
was obvious what was going on.)

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (800, 'stable'), (500, 'unstable'), (500, 'testing')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-build depends on:
ii  cdebootstrap             0.5.7           Bootstrap a Debian system
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l
ii  live-boot-doc                 3.0~a21-1  Debian Live - System Boot Scripts 
ii  live-config-doc               3.0~a27-1  Debian Live - System Configuration
ii  live-manual-html [live-manual 1:3.0~a7-1 Debian Live - Documentation (html)

Versions of packages live-build suggests:
ii  dosfstools           3.0.9-1             utilities for making and checking 
ii  fakeroot             1.14.4-1            Gives a fake root environment
ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM filesystem
ii  memtest86+           4.10-1.1            thorough real-mode memory tester
ii  mtools               4.0.12-1            Tools for manipulating MSDOS files
ii  parted               2.3-5               The GNU Parted disk partition resi
pn  squashfs-tools | mtd <none>              (no description available)
ii  sudo                 1.7.4p4-2.squeeze.2 Provide limited super user privile
pn  syslinux | grub      <none>              (no description available)
ii  uuid-runtime         2.17.2-9            runtime components for the Univers
pn  win32-loader         <none>              (no description available)


-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643926; Package live-build. (Sat, 01 Oct 2011 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Oct 2011 05:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 643926@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Milligan <mmilligan@astro.umn.edu>
Cc: 643926@bugs.debian.org
Subject: Re: Bug#643926: live-build: building wheezy rescue fails installing packages only in squeeze
Date: Sat, 01 Oct 2011 07:49:39 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 643926 pending
thanks

On 09/30/2011 10:56 PM, Michael Milligan wrote:
> sudo lb build fails when building a rescue image for wheezy because
> tct and ettercap only exist in squeeze.

ettercap is in testing, so only marked tct as squeeze only.

- -- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk6GqfIACgkQ+C5cwEsrK57S4gCgqS4HwpNR9eb+jqGDCyV5y+Ec
U64AoMRXcSz+YhlU414bA6FQqM2L5WDe
=S/4a
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 01 Oct 2011 05:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643926; Package live-build. (Sat, 01 Oct 2011 16:01:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Milligan <mmilligan@astro.umn.edu>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 01 Oct 2011 16:01:04 GMT) Full text and rfc822 format available.

Message #17 received at 643926@bugs.debian.org (full text, mbox):

From: Michael Milligan <mmilligan@astro.umn.edu>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: Michael Milligan <mmilligan@astro.umn.edu>, 643926@bugs.debian.org
Subject: Re: Bug#643926: live-build: building wheezy rescue fails installing packages only in squeeze
Date: Sat, 1 Oct 2011 10:24:17 -0500
[Message part 1 (text/plain, inline)]
On Sat, Oct 01, 2011 at 07:49:39AM +0200, Daniel Baumann wrote:
> On 09/30/2011 10:56 PM, Michael Milligan wrote:
> > sudo lb build fails when building a rescue image for wheezy because
> > tct and ettercap only exist in squeeze.
> 
> ettercap is in testing, so only marked tct as squeeze only.
> 

ettercap is a virtual package in testing/sid, so the following
happens:

# apt-get install ettercap
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package ettercap is a virtual package provided by:
  ettercap-text-only 1:0.7.4.1-1
  ettercap-graphical 1:0.7.4.1-1
You should explicitly select one to install.

E: Package 'ettercap' has no installation candidate

With ettercap in the package list, live-build gets the same result and
bails out.

On a related note, ntfsprogs should also be squeeze-only. Starting
with wheezy ntfs-3g conflicts with it.

Thanks!

-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#643926; Package live-build. (Sun, 02 Oct 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 02 Oct 2011 10:18:09 GMT) Full text and rfc822 format available.

Message #22 received at 643926@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Milligan <mmilligan@astro.umn.edu>
Cc: 643926@bugs.debian.org
Subject: Re: Bug#643926: live-build: building wheezy rescue fails installing packages only in squeeze
Date: Sun, 02 Oct 2011 12:15:34 +0200
On 10/01/2011 05:24 PM, Michael Milligan wrote:
> ettercap is a virtual package in testing/sid

thanks, so i've changed it to ettercap-text-only for anything newer than 
squeeze.

> On a related note, ntfsprogs should also be squeeze-only.

thanks, commited as well.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 08 Oct 2011 09:21:12 GMT) Full text and rfc822 format available.

Notification sent to Michael Milligan <mmilligan@astro.umn.edu>:
Bug acknowledged by developer. (Sat, 08 Oct 2011 09:21:12 GMT) Full text and rfc822 format available.

Message #27 received at 643926-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 643926-close@bugs.debian.org
Subject: Bug#643926: fixed in live-build 3.0~a35-1
Date: Sat, 08 Oct 2011 09:19:24 +0000
Source: live-build
Source-Version: 3.0~a35-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a35-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a35-1_all.deb
live-build-cron_3.0~a35-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a35-1_all.deb
live-build_3.0~a35-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a35-1.debian.tar.gz
live-build_3.0~a35-1.dsc
  to main/l/live-build/live-build_3.0~a35-1.dsc
live-build_3.0~a35-1_all.deb
  to main/l/live-build/live-build_3.0~a35-1_all.deb
live-build_3.0~a35.orig.tar.gz
  to main/l/live-build/live-build_3.0~a35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643926@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Oct 2011 10:57:04 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a35-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 573054 643926
Changes: 
 live-build (3.0~a35-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Treating sources.list top-level file specially to workaround bug in
     apt that makes sources.list.d sources to be never prefered over main
     sources.list when using pinning (Closes: #573054).
   * Making top sources.list conditional, not everyone necessarily always
     uses that.
   * Marking tct in debian-forensics package list as squeeze only, thanks
     to Michael Milligan <mmilligan@astro.umn.edu> (Closes: #643926).
 .
   [ Ben Howard ]
   * Adding check for missing mtab during chrooted binary rootfs stage.
 .
   [ Daniel Baumann ]
   * Updating ettercap entries in rescue list for wheezy, thanks to
     Michael Milligan <mmilligan@astro.umn.edu>.
   * Marking ntfsprogs as squeeze only in rescue list, thanks to Michael
     Milligan <mmilligan@astro.umn.edu>.
   * Adding bug number to comments when moving top-level sources.list.
 .
   [ Ben Howard ]
   * Adding Ubuntu Cloud images packages lists.
   * Adding foreign bootstrap via qemu for cross arch building.
Checksums-Sha1: 
 b7dd1fe2353b8cdedc56cfe20651552d6337524d 1413 live-build_3.0~a35-1.dsc
 f59a70b24c125096fcc78a2053b6a4441bbd9ea5 1821738 live-build_3.0~a35.orig.tar.gz
 58cd49e263113a97d4323f2a654db32815daf586 49926 live-build_3.0~a35-1.debian.tar.gz
 785cd5f694952cef3e019dd4613fbe583deb38e3 1133924 live-build_3.0~a35-1_all.deb
 719852cc73a3d5382e4408e2fd44a05a2c5aab7b 63272 live-build-cgi_3.0~a35-1_all.deb
 22f3efe8ee307b4fe614b92185cda2156b07c8e1 63366 live-build-cron_3.0~a35-1_all.deb
Checksums-Sha256: 
 b6d2345a87930b2d40b86e2b67fb55a8dbdfdba19521aa9e713e76d0cd75a44d 1413 live-build_3.0~a35-1.dsc
 2b349e2ec06c9f644ba6ea5c3272ed0faa48059e900aeff2151940bb713272cc 1821738 live-build_3.0~a35.orig.tar.gz
 927b2b0ef209e17c10f2334a2a623d0388e706fd82cc4fe1db9d5573391f1104 49926 live-build_3.0~a35-1.debian.tar.gz
 96bb0f2b3fcf0dbb53acd610f2f5ca881b838d5628ae1dcb081e15dddee3d8fb 1133924 live-build_3.0~a35-1_all.deb
 a6301a7846d6b10c77c4e13afc1a9c9b9faa653c8150757b466f64bba30b2335 63272 live-build-cgi_3.0~a35-1_all.deb
 70d76a32ee054b2359bb16ec0f509d64b75aadfacb15cf291d0aa85d800ecd4c 63366 live-build-cron_3.0~a35-1_all.deb
Files: 
 a45b38409a9c71d994401065d63c056a 1413 misc optional live-build_3.0~a35-1.dsc
 267c8662f3a737bdcbf0d3f91d19d2f8 1821738 misc optional live-build_3.0~a35.orig.tar.gz
 cfb59815ed70a7fd2ede845ace88701f 49926 misc optional live-build_3.0~a35-1.debian.tar.gz
 87957a7ac9f35e2391ec7cad1d45acd3 1133924 misc optional live-build_3.0~a35-1_all.deb
 f264fa27dd3604ce105a2d0536bf7a0b 63272 misc optional live-build-cgi_3.0~a35-1_all.deb
 ebcf676acf54765410b1d4e132e7f67e 63366 misc optional live-build-cron_3.0~a35-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6QEecACgkQ+C5cwEsrK57CTACffOBQ3fi7qU2dqafagghuSGXv
PYsAnRMK4nEmUD2Y9zq80vvrf55bybhY
=YJnP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:10:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.